
QGIS Application - Feature request #9330

Rotate Rendered Map Canvas

2014-01-14 12:17 AM - Bjorn Nyberg

Status: Closed

Priority: Low

Assignee: Sandro Santilli

Category: Map Canvas

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 17937

Description

Add an option in the settings dialog to rotate the rendered map canvas by a user specified angle relative to North 0. This would rotate the

rendered layers as opposed to the actual final map output as is currently available in the map composer. A useful option when digitizing

new features that have a directional aspect which would be better visualized and mapped if rotated (i.e. it would be nice to rotate the

image attached by 90/270 degrees).

History

#1 - 2014-01-14 04:16 AM - Giovanni Manghi

- Category set to Map Canvas

#2 - 2014-11-21 02:08 AM - Sandro Santilli

- Target version changed from Future Release - Nice to have to Version 2.8

- Assignee set to Sandro Santilli

I'm on it. Work in progress here: https://github.com/strk/qgis/tree/rotation

#3 - 2014-11-25 09:30 AM - Sandro Santilli

Work-in-progress code is now also a pull-request (to have Travis keep an eye):

https://github.com/qgis/QGIS/pull/1700

#4 - 2014-12-07 07:32 AM - Sandro Santilli

- Resolution set to fixed/implemented

Core support added with commit:ce8a9ba4afed849e7d85e9c0773fbc029b24bd15

HUB is open for further issues about rotation

#5 - 2015-05-10 01:02 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2

#6 - 2015-05-10 01:05 AM - Jürgen Fischer

- Target version changed from Version 2.8.2 to Future Release - High Priority

#7 - 2015-08-05 09:08 PM - Nyall Dawson

- Status changed from Open to Closed
https://github.com/strk/qgis/tree/rotation
